### Method

# WebKit URIRequest set_uri

#### Declaration [src]

    void
    webkit_uri_request_set_uri (
      WebKitURIRequest* request,
      const gchar* uri
    )

#### Description [src]

Set the URI of `request`.

Sets property | `WebKit.URIRequest:uri`

#### Parameters

`uri` | `const gchar*`
| An URI.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.